Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class SingleMemberInjector<T>

    java.lang.Object
      org.picocontainer.adapters.AbstractAdapter<T>
          org.picocontainer.injectors.AbstractInjector<T>
              org.picocontainer.injectors.SingleMemberInjector<T>

All Implemented Interfaces:
  Serializable, ComponentAdapter<T>, ComponentMonitorStrategy, Injector<T>, LifecycleStrategy

Direct Known Subclasses:
  ConstructorInjector, MethodInjector

    public abstract class SingleMemberInjector<T>

extends AbstractInjector<T>

Injection will happen in a single member function on the component.

Author:
  Paul Hammant
See Also:
  Serialized Form

Nested Class Summary
`static class` | `SingleMemberInjector.ParameterCannotBeNullException`

Nested classes/interfaces inherited from class org.picocontainer.injectors.AbstractInjector
`AbstractInjector.AmbiguousComponentResolutionException, AbstractInjector.CyclicDependencyException, AbstractInjector.NotConcreteRegistrationException, AbstractInjector.UnsatisfiableDependenciesException`

Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter
`ComponentAdapter.NOTHING`

Field Summary

Fields inherited from class org.picocontainer.injectors.AbstractInjector
`lifecycleStrategy, parameters, verifyingGuard`

Constructor Summary
`SingleMemberInjector(Object componentKey, Class componentImplementation, Parameter[] parameters, ComponentMonitor monitor, LifecycleStrategy lifecycleStrategy, boolean useNames)`

Method Summary
`protected Annotation[]` | `getBindings(Annotation[][] annotationss)`
`protected Object[]` | `getMemberArguments(PicoContainer container, AccessibleObject member, Type[] parameterTypes, Annotation[] bindings)`
`protected com.thoughtworks.paranamer.CachingParanamer` | `getParanamer()`
`protected boolean` | `isNullParamAllowed(AccessibleObject member, int i)`

Methods inherited from class org.picocontainer.injectors.AbstractInjector
`accept, box, caughtIllegalAccessException, caughtIllegalAccessException, caughtInstantiationException, caughtInvocationTargetException, createDefaultParameters, decorateComponentInstance, dispose, getComponentInstance, getComponentInstance, getDescriptor, hasLifecycle, newInstance, start, stop, useNames, verify`

Methods inherited from class org.picocontainer.adapters.AbstractAdapter
`changeMonitor, checkTypeCompatibility, currentMonitor, findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.picocontainer.ComponentAdapter
`findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate`

Constructor Detail

### SingleMemberInjector

    public SingleMemberInjector(Object componentKey,
                                Class componentImplementation,
                                Parameter[] parameters,
                                ComponentMonitor monitor,
                                LifecycleStrategy lifecycleStrategy,
                                boolean useNames)

Method Detail

### getParanamer

    protected com.thoughtworks.paranamer.CachingParanamer getParanamer()

### getMemberArguments

    protected Object[] getMemberArguments(PicoContainer container,
                                          AccessibleObject member,
                                          Type[] parameterTypes,
                                          Annotation[] bindings)

### isNullParamAllowed

    protected boolean isNullParamAllowed(AccessibleObject member,
                                         int i)

### getBindings

    protected Annotation[] getBindings(Annotation[][] annotationss)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.